board = {}

empty = Color.new(128, 128, 128)
red = Color.new(255, 0, 0)
blue = Color.new(0, 0, 255)

boardWidth = 7
boardHeight = 6

for y=1,boardHeight do
	board[y] = {}
	for x=1,boardWidth do
		board[y][x] = empty
	end
end

cellWidth = 20
cellHeight = 20

column = 1
player = red

while true do
	screen:clear()
	screen:fillRect(column * cellWidth, 0, cellWidth - 1, cellHeight - 1, player)
	for y=1,boardHeight do
		for x=1,boardWidth do
			screen:fillRect(x * cellWidth, y * cellHeight, cellWidth - 1, cellHeight - 1, board[y][x])
		end
	end
	pad = Controls.read()
	if pad ~= oldPad then
		oldPad = pad
		if pad:left() then
			column = column - 1
			if column < 1 then
				column = boardWidth
			end
		elseif pad:right() then
			column = column + 1
			if column > boardWidth then
				column = 1
			end
		end
	end
	screen.waitVblankStart()
	screen.flip()
end
